require 'redmine'

# This is the important line.
# It requires the file in lib/geomaps/issue_query_patch.rb
require_dependency 'geomaps/issue_query_patch'

# It requires the file in lib/geomaps/view_hook_listeners.rb
require_dependency 'geomaps/view_hook_listeners'

Redmine::Plugin.register :geomaps do
  name 'GeoMaps plugin'
  author 'Stéphane Château'
  description 'Ceci est un plugin GeoMaps permettant d\'ajouter des fonctionalités diverse pour le projet GeoMaps dans Redmine'
  version '1.0.0'
  url 'https://tcstopapp01p:8443/r/Redmine/Geometry.git'

  # include file lib/geomaps/patches/models/query_patch.rb file
  unless Query.included_modules.include?(Geomaps::Patches::Models::QueryPatch)
    Query.send(:include, Geomaps::Patches::Models::QueryPatch)
  end
  
  # include file lib/geomaps/query_patch.rb file
  unless IssueQuery.included_modules.include?(GeomapsExtraQueries::GeomapsIssueQueryPatch)
    IssueQuery.send(:include, GeomapsExtraQueries::GeomapsIssueQueryPatch)
  end
end